metadata:
  name: disk-rootfs-fsck
  format: "Apertis Test Definition 1.0"
  image-types:
    minimal: [ armhf-internal, armhf, arm64, amd64 ]
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: automated
  priority: high
  maintainer: "Apertis Project"
  description: "Ensure that the root file system check is enabled on boot"

  expected:
    - "Test command should report \"pass\"."

install:
  git-repos:
    - url: https://gitlab.apertis.org/infrastructure/apertis-tests.git
      branch: 'apertis/v2021dev2'

run:
  steps:
    - "# Enter test directory:"
    - cd apertis-tests
    - "# Execute the following command:"
    - common/run-test-in-systemd --name=as-root common/fsck-boot-rootfs.sh

parse:
  pattern: "(?P<test_case_id>.*-*):\\s+(?P<result>(pass|fail))"
